
Redmine - Defect #14288

REST API - 500 Internal Server Error

2013-06-14 19:30 - Robson Peixoto

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: REST API Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 2.3.1

Description

Started GET "/issues/26.json" for 177.135.203.181 at 2013-06-14 14:27:01 -0300

Processing by IssuesController#show as JSON

  Parameters: {"id"=>"26"}

   (0.2ms)  SELECT MAX(`settings`.`updated_on`) AS max_id FROM `settings`

Completed 500 Internal Server Error in 2ms

ArgumentError (wrong number of arguments (3 for 2)):

  app/models/user.rb:157:in `try_to_login'

  app/controllers/application_controller.rb:113:in `block in find_current_user'

  app/controllers/application_controller.rb:112:in `find_current_user'

  app/controllers/application_controller.rb:87:in `user_setup'

 
# ruby script/about

/opt/redmine/config/initializers/bypass_ssl_verification.rb:2: warning: already initialized consta

nt VERIFY_PEER

Environment:

  Redmine version                          2.3.1.stable

  Ruby version                             1.9.3 (x86_64-linux)

  Rails version                            3.2.13

  Environment                              production

  Database adapter                         Mysql2

Redmine plugins:

  redmine_backlogs                         v1.0.2

  redmine_contacts                         3.2.3-light

  redmine_issue_checklist                  2.0.5

  redmine_ldap_sync                        2.0.1

  redmine_my_roadmaps                      0.1.13_redmine2.3

  redmine_scm                              0.4.2

  redmine_zenedit                          0.0.1

History

#1 - 2013-06-14 21:17 - Robson Peixoto

- Status changed from New to Resolved

After read it [1], I figure out the error is on https://github.com/thorin/redmine_ldap_sync

1 - http://stackoverflow.com/questions/3484337/rails-logging-the-entire-stack-trace-of-an-exception

#2 - 2013-06-15 11:03 - Etienne Massip

- Status changed from Resolved to Closed

- Resolution set to Invalid
